<div fxLayout="column" fxFlex="100" class="full-page-container"
     style="background-color: var(--mainBlue);overflow: auto">
  <div fxLayout="row" fxFlex="100" fxLayoutAlign="center">
    <div fxLayout="column" fxFlex.gt-md="60" fxFlex.md="95" fxFlex.lt-md="95" >

      <div fxLayout="row" fxLayoutAlign="center center" style="color: white;margin-top: 2rem;margin-bottom: 2rem;">
        <div fxLayout="column" fxLayoutAlign="center center">
          <h2 style="text-align: center">Yummy Wallet Marketing Platform</h2>
          <h2 style="text-align: center">Καλώς ήρθατε στην διαδικασία εγγραφής επιχείρησης</h2>
        </div>
      </div>

      <div fxLayout="row">
        <form [formGroup]="form" autocomplete="off" fxLayout="column" fxFlex="100">

          <div fxLayout="row" fxFlex="100" style="margin-bottom: 1rem;">
            <div fxLayout="column" fxFlex="100">
              <mat-card>
                <mat-card-title class="title">
                  Συμπληρώστε τις βασικές πληροφορίες της επιχείρησής σας
                </mat-card-title>
                <mat-card-content>
                  <div fxLayout="row wrap" fxLayoutAlign="space-between">

                    <mat-form-field appearance="fill" fxFlex="100">
                      <mat-label class="titleM">Διακριτικός τίτλος</mat-label>
                      <input matInput [formControlName]="'legalName'">
                    </mat-form-field>

                    <mat-form-field appearance="fill" fxFlex.gt-md="49" fxFlex.md="49" fxFlex.lt-md="100">
                      <mat-label class="titleM">Οδός και αριθμός</mat-label>
                      <input matInput [formControlName]="'street'">
                    </mat-form-field>

                    <mat-form-field appearance="fill" fxFlex.gt-md="49" fxFlex.md="49" fxFlex.lt-md="100">
                      <mat-label class="titleM">Πόλη</mat-label>
                      <mat-select [formControlName]="'cityId'">
                        <mat-option *ngFor="let city of cities" [value]="city.id">{{city.name}}</mat-option>
                      </mat-select>
                    </mat-form-field>

                    <mat-form-field appearance="fill" fxFlex.gt-md="49" fxFlex.md="49" fxFlex.lt-md="100" >
                      <mat-label class="titleM">T.K</mat-label>
                      <input matInput [formControlName]="'postalCode'" minlength="5" maxlength="5">
                    </mat-form-field>

                    <mat-form-field appearance="fill" fxFlex.gt-md="49" fxFlex.md="49" fxFlex.lt-md="100">
                      <mat-label class="titleM">Χώρα</mat-label>
                      <mat-select [formControlName]="'countryId'">
                        <mat-option *ngFor="let country of countries" [value]=1>{{country}}</mat-option>
                      </mat-select>
                    </mat-form-field>

                    <mat-form-field appearance="fill" fxFlex="100">
                      <mat-label class="titleM">Σύντομη περιγραφή (Ελληνικά)</mat-label>
                      <input matInput [formControlName]="'descriptionEl'">
                    </mat-form-field>

                    <mat-form-field appearance="fill" fxFlex="100">
                      <mat-label class="titleM">Σύντομη περιγραφή (Αγγλικά)</mat-label>
                      <input matInput [formControlName]="'descriptionEn'">
                    </mat-form-field>

                    <mat-form-field appearance="fill" fxFlex="100">
                      <mat-label class="titleM">Κατηγορία επιχείρησης</mat-label>
                      <mat-select [formControlName]="'categoryId'">
                        <mat-option *ngFor="let category of categories" [value]=category.id>{{category.description}}</mat-option>
                      </mat-select>
                    </mat-form-field>
                  </div>
                </mat-card-content>
              </mat-card>
            </div>
          </div>


          <div fxLayout="row" fxFlex="100" style="margin-bottom: 1rem;">
            <div fxLayout="column" fxFlex="100">
              <mat-card>
                <mat-card-title class="title">
                  Συμπληρώστε τα στοιχεία επικοινωνίας και τα social media της επιχείρησής σας
                </mat-card-title>
                <mat-card-content>
                  <div fxLayout="row wrap" fxLayoutAlign="space-between">

                    <mat-form-field appearance="fill" [fxFlex.gt-md]="fieldFlex()" fxFlex.md="49" fxFlex.lt-md="100">
                      <mat-label class="titleM">Email</mat-label>
                      <input matInput [formControlName]="'email'">
                    </mat-form-field>

                    <mat-form-field *ngIf="!this.isExternalUser" appearance="fill" fxFlex.gt-md="49" fxFlex.md="49" fxFlex.lt-md="100">
                      <mat-label class="titleM">Password</mat-label>
                      <input matInput [formControlName]="'password'" type="password" [readonly]="this.isExternalUser">
                    </mat-form-field>

                    <mat-form-field appearance="fill" [fxFlex.gt-md]="fieldFlex()" fxFlex.md="49" fxFlex.lt-md="100">
                      <mat-label class="titleM">Τηλέφωνο</mat-label>
                      <input matInput [formControlName]="'telephone'" minlength="10" maxlength="10">
                    </mat-form-field>

                    <mat-form-field appearance="fill" [fxFlex.gt-md]="fieldFlex()" fxFlex.md="49" fxFlex.lt-md="100">
                      <mat-label class="titleM">Website</mat-label>
                      <input matInput [formControlName]="'website'">
                    </mat-form-field>

                    <mat-form-field appearance="fill" fxFlex.gt-md="32" fxFlex.md="49" fxFlex.lt-md="100">
                      <mat-label class="titleM">Facebook</mat-label>
                      <input matInput [formControlName]="'facebook'">
                    </mat-form-field>

                    <mat-form-field appearance="fill" fxFlex.gt-md="32" fxFlex.md="49" fxFlex.lt-md="100">
                      <mat-label class="titleM">Instagram</mat-label>
                      <input matInput [formControlName]="'instagram'">
                    </mat-form-field>

                    <mat-form-field appearance="fill" fxFlex.gt-md="32" fxFlex.md="49" fxFlex.lt-md="100">
                      <mat-label class="titleM">Twitter</mat-label>
                      <input matInput [formControlName]="'twitter'">
                    </mat-form-field>
                  </div>
                </mat-card-content>
              </mat-card>
            </div>
          </div>


          <div fxLayout="row" fxFlex="100" style="margin-bottom: 1rem;">
            <div fxLayout="column" fxFlex="100">
              <mat-card>
                <mat-card-title class="title">
                  Συμπληρώστε τα στοιχεία τιμολόγησης της επιχείρησής σας
                </mat-card-title>
                <mat-card-content>
                  <div fxLayout="row wrap" fxLayoutAlign="space-between">

                    <mat-form-field appearance="fill" fxFlex.gt-md="32" fxFlex.md="49" fxFlex.lt-md="100">
                      <mat-label class="titleM">Επωνυμία (Όπως δηλώθηκε στη Δ.Ο.Υ)</mat-label>
                      <input matInput [formControlName]="'taxLegalName'">
                    </mat-form-field>

                    <mat-form-field appearance="fill" fxFlex.gt-md="32" fxFlex.md="49" fxFlex.lt-md="100">
                      <mat-label class="titleM">Περιγραφή Δραστηριότητας</mat-label>
                      <input matInput [formControlName]="'taxProfession'">
                    </mat-form-field>

                    <mat-form-field appearance="fill" fxFlex.gt-md="32" fxFlex.md="49" fxFlex.lt-md="100">
                      <mat-label class="titleM">Φ.Π.Α</mat-label>
                      <input matInput [formControlName]="'vat'" type="number">
                    </mat-form-field>

                    <mat-form-field appearance="fill" fxFlex.gt-md="32" fxFlex.md="49" fxFlex.lt-md="100">
                      <mat-label class="titleM">Α.Φ.Μ</mat-label>
                      <input matInput [formControlName]="'taxNumber'" minlength="9" maxlength="9">
                    </mat-form-field>

                    <mat-form-field appearance="fill" fxFlex.gt-md="32" fxFlex.md="49" fxFlex.lt-md="100">
                      <mat-label class="titleM">Αρμόδια Δ.Ο.Υ</mat-label>
                      <input matInput [formControlName]="'taxOffice'">
                    </mat-form-field>

                    <mat-form-field appearance="fill" fxFlex.gt-md="32" fxFlex.md="49" fxFlex.lt-md="100">
                      <mat-label class="titleM">Διεύθυνση Έδρας</mat-label>
                      <input matInput [formControlName]="'headquarters'">
                    </mat-form-field>
                  </div>
                </mat-card-content>
              </mat-card>
            </div>
          </div>
        </form>
      </div>

      <div fxLayout="row">
        <div fxLayout="column" fxFlex="100">
        <mat-card>
          <mat-card-title class="title">
            Επιλέξτε το ωράριο λειτουργίας της επιχείρησής σας
          </mat-card-title>
          <mat-card-content class="cardContent">
            <mat-table [dataSource]="dataSource">
              <ng-container matColumnDef="day">
                <mat-header-cell fxLayoutAlign="center center" class="tableHeader" *matHeaderCellDef> Ημέρα
                </mat-header-cell>
                <mat-cell style='font-family: "Comfortaa", sans-serif;' fxLayoutAlign="center center"
                          *matCellDef="let element"> {{element.day}} </mat-cell>
              </ng-container>

              <ng-container matColumnDef="start">
                <mat-header-cell fxLayoutAlign="center center" class="tableHeader" *matHeaderCellDef> Ανοίγει
                </mat-header-cell>
                <mat-cell style='font-family: "Comfortaa", sans-serif;' fxLayoutAlign="center center"
                          *matCellDef="let element">
                  <input [ngxTimepicker]="picker" [(ngModel)]="element.start" style="text-align: center">
                  <ngx-material-timepicker #picker></ngx-material-timepicker>
                </mat-cell>
              </ng-container>

              <ng-container matColumnDef="end">
                <mat-header-cell fxLayoutAlign="center center" class="tableHeader" *matHeaderCellDef> Κλείνει
                </mat-header-cell>
                <mat-cell style='font-family: "Comfortaa", sans-serif;' fxLayoutAlign="center center"
                          *matCellDef="let element"><input [ngxTimepicker]="picker" [(ngModel)]="element.end" style="text-align: center">
                  <ngx-material-timepicker #picker></ngx-material-timepicker>
                </mat-cell>
              </ng-container>
              <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
              <mat-row *matRowDef="let row; columns: displayedColumns;"></mat-row>

            </mat-table>
          </mat-card-content>
        </mat-card>
        </div>
      </div>

      <div fxLayout="row"  style="color: white; margin-top: 2rem;margin-bottom: 2rem;">
        <div fxLayout="column" fxFlex="100" fxLayoutAlign="center center">
          <button class="rounded-button" mat-flat-button (click)="register()" [disabled]="!form.valid">Εγγραφείτε</button>
          <h3 fxShow="true" fxHide.lt-sm="true" style="margin-top: 1rem;margin-bottom: 2rem;">Έχετε λογαριασμό?
            <a (click)="navigateToLogin()" style="text-decoration: underline; cursor: pointer"> Συνδεθείτε τώρα</a></h3>

          <div fxShow.lt-sm="true" fxHide="true"><h3 style="margin-top: 1rem;">Έχετε λογαριασμό?</h3></div>
          <div fxShow.lt-sm="true" fxHide="true" fxFlex="100" style="margin-bottom: 2rem;"><a (click)="navigateToLogin()" style="text-decoration: underline; cursor: pointer">Συνδεθείτε τώρα</a></div>
        </div>
      </div>
    </div>
  </div>
</div>

